Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.transaction
Class Status

`java.lang.Object
java.lang.Enum
com.tangosol.coherence.transaction.Status`

All Implemented Interfaces:
  Serializable, Comparable

      public final class Status

extends Enum

Transaction status.

Since:
  Coherence 3.6
Author:
  js 2009.03.30

Field Summary
`static Status` | `ACTIVE` The transaction is in the active state.
`static Status` | `COMMITTED` The transaction has been committed.
`static Status` | `COMMITTING` The transaction is in the process of being committed.
`static Status` | `PREPARED` The transaction has been prepared by an external coordinator and is now in-doubt.
`static Status` | `PREPARING` The transaction is in the process of being prepared.
`static Status` | `RB_ONLY` The transaction has been marked for rollback.
`static Status` | `ROLLEDBACK` The transaction has been rolled back.
`static Status` | `ROLLINGBACK` The transaction is in the process of being rolled back.
`static Status` | `UNKNOWN` The transaction is in an unknown state due to an error.

Method Summary
`boolean` | `isCompleting()` Determine if the status is a transient completing status.
`boolean` | `isTerminal()` Determine if the status is a terminal status.
`String` | `toString()` Return a human-readable description for this Status.
`static Status` | `valueOf(String name)`
`static Status[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Field Detail

### ACTIVE

    public static final Status ACTIVE

  The transaction is in the active state. A transaction is in this state after it is started and remains in this state until the completion protocol starts or until it is marked rollback only.

### COMMITTING

    public static final Status COMMITTING

  The transaction is in the process of being committed.

### ROLLINGBACK

    public static final Status ROLLINGBACK

  The transaction is in the process of being rolled back.

### PREPARING

    public static final Status PREPARING

  The transaction is in the process of being prepared.

### COMMITTED

    public static final Status COMMITTED

  The transaction has been committed.

### ROLLEDBACK

    public static final Status ROLLEDBACK

  The transaction has been rolled back.

### PREPARED

    public static final Status PREPARED

  The transaction has been prepared by an external coordinator and is now in-doubt.

### RB_ONLY

    public static final Status RB_ONLY

  The transaction has been marked for rollback.

### UNKNOWN

    public static final Status UNKNOWN

  The transaction is in an unknown state due to an error.

Method Detail

### values

    public static final Status[] values()

### valueOf

    public static Status valueOf(String name)

### isTerminal

    public boolean isTerminal()

  Determine if the status is a terminal status.
  Returns:
    true if status is terminal, false otherwise

### isCompleting

    public boolean isCompleting()

  Determine if the status is a transient completing status.
  Returns:
    true if the status is a transient completing status, false otherwise

### toString

    public String toString()

  Return a human-readable description for this Status.
  Overrides:
    `toString` in class `Enum`
  Returns:
    a String description of the Status

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.